Skip to main content
GET
/
v1
/
groups
/
{id}
Get Group
curl --request GET \
  --url https://api.us.lexful.app/v1/groups/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Account-ID: <api-key>'
import requests

url = "https://api.us.lexful.app/v1/groups/{id}"

headers = {
"Authorization": "Bearer <token>",
"X-Account-ID": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Account-ID': '<api-key>'}
};

fetch('https://api.us.lexful.app/v1/groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "organization_scopes": [
    "<string>"
  ],
  "denied_organization_scopes": [
    "<string>"
  ],
  "denied_entity_types": [
    "<string>"
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}
{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}
{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}
{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token

X-Account-ID
string
header
required

Account ID

Path Parameters

id
string<uuid>
required

Group ID

Response

Default Response

id
string<uuid>
required

Group unique identifier

name
string
required

Group name

organization_scopes
string[]
required

Organization IDs user can access, can include "*" for wildcard

denied_organization_scopes
string[]
required

Organization IDs user cannot access

denied_entity_types
string[]
required

Entity type IDs that users in this group cannot access

created_at
string<date-time>
required

Group creation timestamp

updated_at
string<date-time>
required

Last update timestamp

description
string | null

Group description

created_by
string<uuid>

User ID who created this group

updated_by
string<uuid>

User ID who last updated this group